package com.srs.stureg.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 短信队列对象 srs_msg_queue
 * 
 * @author srs
 * @date 2023-07-24
 */
@TableName("srs_msg_queue")
public class SrsMsgQueue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 学号 */
    @Excel(name = "学号")
    @TableField("XH")
    private String XH;

    /** 推送手机号 */
    @Excel(name = "推送手机号")
    @TableField("phone")
    private String phone;

    /** 信息内容 */
    @Excel(name = "信息内容")
    @TableField("content")
    private String content;

    /** 发送状态 */
    @Excel(name = "发送状态")
    @TableField("status")
    private String status;

    /** 删除标志 */
    @TableField("del_flag")
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXH(String XH) 
    {
        this.XH = XH;
    }

    public String getXH() 
    {
        return XH;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("XH", getXH())
            .append("phone", getPhone())
            .append("content", getContent())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
